//! # User membership
//!
//! @author Pierre Hubert

use crate::data::friend::Friend;
use crate::data::conversation::Conversation;
use crate::data::group_id::GroupID;

pub enum UserMembership {
    Group(GroupID, u64),
    Friend(Friend),
    Conversation(Conversation)
}